# I2CStepper

Control a stepper motor via I2C using a master-slave microcontroller setup.

## Features

- Control stepper motors (e.g., TMC2209 + NEMA 17) over I2C
- Change slave I2C address at runtime (persistent in EEPROM)
- Scan for available I2C devices
- Simple API for master and slave
- Example code included

## Hardware Requirements

- Two Arduino-compatible microcontrollers (e.g., Uno, ESP32, etc.)
- TMC2209 stepper driver or similar (STEP/DIR interface)
- NEMA 17 or compatible stepper motor
- I2C wiring between master and slave

## Installation

1. Download or clone this repository.
2. Copy the folder to your Arduino `libraries` directory.
3. Open Arduino IDE and include `I2CStepper.h` in your project.

## Usage

### Master Example

