#ifndef I2CStepper_h
#define I2CStepper_h

#include <Arduino.h>
#include <Wire.h>

// ========== I2CStepper Class ==========

class I2CStepper {
public:
    I2CStepper(uint8_t address = 0x55);
    void begin();
    void setSpeed(uint8_t speed, uint8_t direction);
    void stop();
    uint8_t scanDevices(uint8_t* foundAddresses, uint8_t maxDevices);
    void setAddress(uint8_t newAddress);
    void handleI2CCommand(); // Only used on the slave

private:
    uint8_t _address;
    void moveSteps(uint16_t steps, uint8_t direction, uint16_t speedDelay);
};

#endif
